/* Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.activiti.impl.identity;

import java.io.Serializable;

import org.activiti.identity.User;


/**
 * @author Tom Baeyens
 */
public class UserImpl implements User, Serializable {

  private static final long serialVersionUID = 1L;

  protected String id;
  protected String firstName;
  protected String lastName;
  protected String email;
  protected String password;
  
  protected boolean isNew = false;

  public UserImpl() {
  }
  
  public UserImpl(String id) {
    this.id = id;
    this.isNew = true;
  }

  public String getId() {
    return id;
  }
  public void setId(String id) {
    this.id = id;
  }
  public String getFirstName() {
    return firstName;
  }
  public void setFirstName(String firstName) {
    this.firstName = firstName;
  }
  public String getLastName() {
    return lastName;
  }
  public void setLastName(String lastName) {
    this.lastName = lastName;
  }
  public String getEmail() {
    return email;
  }
  public void setEmail(String email) {
    this.email = email;
  }
  public String getPassword() {
    return password;
  }
  public void setPassword(String password) {
    this.password = password;
  }
  public boolean isNew() {
    return isNew;
  }
}
